gsw_Nsquared {gsw} | R Documentation

## Calculate Brunt Vaisala Frequency squared

### Description

The result is computed based on first-differencing a computed density with respect pressure, and this can yield noisy results with CTD data that have not been smoothed and decimated. It also yields infinite values, for repeated adjacent pressure (e.g. this occurs twice with the `ctd` dataset provided in the oce package).

### Usage

    gsw_Nsquared(SA, CT, p, latitude = 0)

### Arguments

`SA` | Absolute Salinity [ g/kg ]
`CT` | Conservative Temperature [ degC ]
`p` | sea pressure [dbar], i.e. absolute pressure [dbar] minus 10.1325 dbar
`latitude` | latitude in decimal degrees, positive to the north of the equator. (This is called `lat` in the TEOS-10 Matlab code.)

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

list containing N2 [ 1/s^ ] and mid-point pressure p_mid [ dbar ]

### References

http://www.teos-10.org/pubs/gsw/html/gsw_Nsquared.html

### Examples

    SA <- c(34.7118, 34.8915, 35.0256, 34.8472, 34.7366, 34.7324)
    CT <- c(28.8099, 28.4392, 22.7862, 10.2262,  6.8272,  4.3236)
    p <- c(      10,      50,     125,     250,     600,    1000)
    latitude <- 4
    r <- gsw_Nsquared(SA, CT, p, latitude=4)
    expect_equal(r$N2*1e3, c(0.060843209693499, 0.235723066151305, 0.216599928330380,
                           0.012941204313372, 0.008434782795209))
    expect_equal(r$p_mid, c(30, 87.5, 187.5, 425, 800))

[Package gsw version 1.0-5 Index]